Bug 729181 - libvirtd futex deadlock due to unparsable JSON string
libvirtd futex deadlock due to unparsable JSON string
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-08 19:54 EDT by Richard Harman
Modified: 2012-06-06 20:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gdb backtrace (with debugging info) of deadlocked (4.49 KB, text/plain)
2011-08-08 19:54 EDT, Richard Harman
no flags Details

  None (edit)
Description Richard Harman 2011-08-08 19:54:10 EDT
Created attachment 517322 [details]
gdb backtrace (with debugging info) of deadlocked

Description of problem:

libvirtd deadlocks due to an unparsable JSON string from either virsh or virt-manager.

Version-Release number of selected component (if applicable):

Name        : libvirt
Version     : 0.8.8
Release     : 7.fc15
Architecture: x86_64


How reproducible:

Unknown?  I kill -9'd a virt-manager that became unresponsive, which appears to have deadlocks libvirtd.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Syslog error message in /var/log/messages from libvirtd:

Aug  8 22:41:34 workstation libvirtd: 22:41:34.079: 1555: error : virJSONValueFromString:914 : internal error cannot parse json {"timestamp": {"seconds": 1312843294, "microseconds": 78869}, "event": "SPICE_DIS
CONNECTED", "data": {"serv{"tim{"portestam0": {"se1", "": 13128mi294,ly"icroseconds": 7"872}, "eve"t": "1 .5.128"29"}, CE_DIS"ONNECTcD"lient": {"port": "50608",{"family"" "ipv4",s"host": e10.5v.r": {1port"
:28.57"}}}"fami: lexical error: invalid string in json text.#012          SCONNECTED", "data": {"serv{"tim{"portestam0": {"se1", "": 1#012                     (right here) ------^#012
Aug  8 22:41:34 workstation libvirtd: 22:41:34.079: 1555: warning : virJSONValueFromString:925 : cleanup state 2
Comment 1 Daniel Veillard 2011-08-10 03:33:50 EDT
Thanks, could you attach a the virsh dumpxml for the guest if you still have it,
as it is using Spice and it could be related to spice arguments too.

  TIA

Daniel
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:53:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:56:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 15:03:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:03:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:08:15 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:08:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Richard Harman 2011-11-30 19:43:45 EST
Actually I don't have the xml for the VM anymore.

Note You need to log in before you can comment on or make changes to this bug.